> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okrapdf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

> Upload a passive PDF file asset.

## Overview

Upload a PDF as a private file asset without starting a document workflow. For files larger than the multipart threshold, use [Create Direct Upload](/api-reference/files/presign-file) and [Finalize Direct Upload](/api-reference/files/finalize-file).

<ParamField body="file" type="file" required>
  PDF file to upload.
</ParamField>

<ParamField body="config" type="string">
  Optional JSON document config to attach to the file metadata.
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X POST https://api.okrapdf.com/v1/files \
    -H "Authorization: Bearer $OKRA_API_KEY" \
    -F "file=@report.pdf"
  ```
</RequestExample>

### Response

```json theme={null}
{
  "object": "file",
  "id": "file_abc123",
  "file_name": "report.pdf",
  "workflow_bound": false
}
```
